# **[Data-Driven Voltage Regulation in Radial Power Distribution Systems](https://www.x-mol.com/paperRedirect/1252812431882608640)**

在本文中，我们开发了一个数据驱动框架，用于控制平衡径向功率分配系统中的分布式能源（DER），目的是调节整个系统的电压。目的是确定最佳DER功率注入，以在不了解配电系统完整模型的情况下，将所需电压范围之外的电压波动最小化。为此，我们通过线性模型来近似估计电压幅值与功率注入之间的非线性关系。可以使用有关网络拓扑和线路参数的信息来计算此线性模型的参数（称为电压敏感度），并将对其值进行估算。假设了解了可行的网络拓扑配置和配电线路电阻比，我们提出了一个框架，该框架仅使用少量的电压幅度和功率注入测量值即可识别出真正的网络拓扑配置和相应的线路参数。利用估计的电压灵敏度，可以通过解决凸优化问题来轻松确定最佳DER功率注入。由于其数据驱动的特性，因此所提出的框架本质上适用于系统条件的变化，例如未知的拓扑重新配置。通过在IEEE 123总线配电测试馈线上的数值模拟，验证了所提出框架的有效性。

In this paper, we develop a data-driven framework for controlling distributed energy resources (DERs) in a balanced radial power distribution system with the objective of regulating voltages across the whole system. The objective is to determine optimal DER power injections that minimize the voltage excursions outside a desirable voltage range without knowing a complete model of the power distribution system. To this end, we approximate the nonlinear relationship between the voltage magnitudes and the power injections by a linear model. The parameters of this linear model—referred to as the voltage sensitivities—can be computed using information on the network topology and the line parameters, the values of which will be estimated. Assuming the knowledge of feasible network topology configurations and distribution line resistance-to-reactance ratios, we propose a framework for identifying the true network topology configuration and the corresponding line parameters using only a few measurements of voltage magnitudes and power injections. Utilizing the estimated voltage sensitivities, the optimal DER power injections can be readily determined by solving a convex optimization problem. Due to its data-driven nature, the proposed framework is intrinsically adaptive to changes in system conditions such as unknown topology reconfiguration. The effectiveness of the proposed framework is validated via numerical simulations on the IEEE 123-bus distribution test feeder.